local AceGUI = LibStub("AceGUI-3.0")

do
	local widgetType = "UIFDropdown-Item-Toggle"
	local widgetVersion = 4
	
	local function SetFont(self, font)
		if _G[font] and _G[font].GetFont then
			self.text:SetFontObject(font)
			self.text:SetTextColor(_G[font]:GetTextColor())
			local fontHeight = select(2, _G[font]:GetFont())
			if fontHeight > self.frame:GetHeight() then
				self.frame:SetHeight(fontHeight)
				self.highlight:SetHeight(fontHeight)
			end
		end
	end
	
	local function SetIcon(self, icon)
		self.icon:SetTexture(icon)
		if self.icon:GetTexture() then
			self.icon:Show()
			self.icon:SetWidth(self.frame:GetHeight())
		end
	end
	
	local function Constructor()
		local self = AceGUI:Create("Dropdown-Item-Toggle")		
		self.type = widgetType
		
		local icon = self.frame:CreateTexture(nil, "OVERLAY")
		icon:ClearAllPoints()
		icon:SetPoint("TOPLEFT", frame, "TOPLEFT", 10, 0)
		icon:SetPoint("BOTTOMLEFT", frame, "BOTTOMLEFT", 10, 0 )
		icon:Hide()
		icon:SetWidth(1)
		icon:SetTexCoord(0.07, 0.93, 0.07, 0.93)
		self.icon = icon
		
		self.SetFont	= SetFont
		self.SetIcon	= SetIcon
		
		AceGUI:RegisterAsWidget(self)
		return self
	end
	
	AceGUI:RegisterWidgetType(widgetType, Constructor, widgetVersion)
end


